Subject: [core] FW: New Version Notification for draft-vanderstok-core-bc-02

From: "Stok, Peter van der" <[email-masked]>
Date: Tue, 26 Oct 2010 14:10:49 +0200

Dear all,

Below the announcement of the Internet draft on naming, discovery and control legacy, Kerry and I had the pleasure to submit.

This one improves on version 01 by:

- Removed all references to multicast and multicast scope, given draft of rahman group communication.

- Adapted examples to coap-2 and core-link drafts.

- transport short URL for destination recognition.

- Elaborated legacy discovery under DNS-SD.

Peter

-----Original Message-----
From: IETF I-D Submission Tool [mailto:[email-masked]]
Sent: Monday 25 October 2010 15:47
To: Stok, Peter van der
Cc: [email-masked]
Subject: New Version Notification for draft-vanderstok-core-bc-02

A new version of I-D, draft-vanderstok-core-bc-02.txt has been successfully submitted by Peter Van der Stok and posted to the IETF repository.

Filename:        draft-vanderstok-core-bc
Revision:        02
Title:           CoAP Utilization for Building Control
Creation_date:   2010-10-25
WG ID:           Independent Submission
Number_of_pages: 17

Abstract:
This draft describes an example use of the RESTful CoAP protocol for
building automation and control (BAC) applications such as HVAC and
lighting.  A few basic design assumptions are stated first, then URI
structure is utilized to define group as well as unicast scope for
RESTful operations.  RFC 3986 defines the URI components as (1) a
scheme, (2) an authority, used here to locate the building, area, or
node under control, (3) a path, used here to locate the resource
under control, and (4) a query part (fragments are not supported in
CoAP.)  Next, it is shown that DNS can be used to locate URIs on the
scale necessary in large commercial BAC deployments.  Finally, a
method is proposed for mapping URIs onto legacy BAC resources, e.g.,
to facilitate application-layer gateways.

This proposal supports the view that (1) building control is likely
to move in steps toward all-IP control networks based on the legacy
efforts provided by DALI, LON, BACnet, ZigBee, and other standards,
and (2) service discovery is complimentary to resource discovery and
facilitates control network scaling.

The IETF Secretariat.

The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.